Basic graphics operations makes audio skip (>1 sec pauses)

Bug #193578 reported by Ryan Prior on 2008-02-20
110
This bug affects 12 people
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Low
Unassigned
firefox-3.0 (Ubuntu)
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
pulseaudio (Ubuntu)
Undecided
Unassigned
rhythmbox (Ubuntu)
Low
Ubuntu Desktop Bugs
xorg (Ubuntu)
Undecided
Unassigned

Bug Description

Steps to reproduce the bug:
> Launch Firefox and Rhythmbox.
> Play a song in Rhythmbox.
> Load a web page in Firefox and scroll up and down.

Expected behaviour:
> The audio keeps playing as before

Actual behaviour:
> The audio quality first degrades, then skips, then cuts out entirely.
[lspci]
00:00.0 Host bridge [0600]: ATI Technologies Inc Unknown device [1002:5a31] (rev 01)
     Subsystem: Toshiba America Info Systems Unknown device [1179:ff10]
01:05.0 VGA compatible controller [0300]: ATI Technologies Inc RC410 [Radeon Xpress 200M] [1002:5a62] (prog-if 00 [VGA controller])
     Subsystem: Toshiba America Info Systems Unknown device [1179:ff10]

Ryan Prior (ryanprior) wrote :
Ryan Prior (ryanprior) wrote :

ryan@ryan-laptop:~$ uname -a
Linux ryan-laptop 2.6.24-8-generic #1 SMP Thu Feb 14 20:40:45 UTC 2008 i686 GNU/Linux
ryan@ryan-laptop:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu hardy (development branch)
Release: 8.04
Codename: hardy
ryan@ryan-laptop:~$ rhythmbox --version
GNOME rhythmbox 0.11.4
ryan@ryan-laptop:~$ firefox --version
Mozilla Firefox 3.0b3, Copyright (c) 1998 - 2008 mozilla.org
ryan@ryan-laptop:~$ pulseaudio --version
pulseaudio 0.9.9

Alexander Sack (asac) wrote :

if this is an issue != "firefox consumes lots of CPU", this is certainly a rhythmbox issue or further down (e.g. gstreamer, pulseaudio).

Pedro Villavicencio (pedro) wrote :

not reproducible here, do you have any other specific steps to trigger this?

Changed in rhythmbox:
status: New → Incomplete
Ryan Prior (ryanprior) wrote :

I don't know what else to provide, really.

The same thing does not happen when I'm using the Banshee media player instead of Rhythmbox, or when I'm using Epiphany instead of Firefox. Does that help any? :-)

I'm willing to run tests or make more videos like the one already posted if it would help.

Mariusz (mariuchi) wrote :

I can confirm that. To reproduce:
1.Open in Firefox long page like: https://launchpad.net/ubuntu/+milestone/ubuntu-8.04
2.Play in Rhythmbox internet radio station like: http://www.sky.fm/aacplus/smoothjazz.pls
3.Scroll page in Firefox _with mouse wheel_, not with slider.
I have System Monitor on upper panel.
When scrolling page consuming 100% CPU then Rhythmbox stop playing and not playing back.
With local mp3 file sound interrupt for a while only.
Very sorry for my English.

Fully updated Hardy Beta.
mariuchi@zoo:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu hardy (development branch)
Release: 8.04
Codename: hardy
mariuchi@zoo:~$ uname -a
Linux zoo 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux
mariuchi@zoo:~$ rhythmbox --version
GNOME rhythmbox 0.11.5
mariuchi@zoo:~$ firefox --version
Mozilla Firefox 3.0b5, Copyright (c) 1998 - 2008 mozilla.org
mariuchi@zoo:~$ pulseaudio --version
pulseaudio 0.9.10

Mariusz (mariuchi) on 2008-04-13
Changed in rhythmbox:
status: Incomplete → Confirmed
huiii (a00ps) wrote :

i am experiencing simliar problems:
xubuntu hardy 8.04 64bit,

when compiz is on an rhythmbox playing, and i am browsing on firefox,
rhythmbox interrups playback.
viewing "top" shows a short dramatic increase of CPU due to Xorg up to 100%.

Fir3Chi3f (fir3chi3f) wrote :

Same here. Xorg consumes my cpu when scrolling to fast.

Linux neckpain 2.6.24-17-generic #1 SMP Thu May 1 13:57:17 UTC 2008 x86_64 GNU/Linux
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 8.04
Release: 8.04
Codename: hardy

Mozilla Firefox 3.0b5, Copyright (c) 1998 - 2008 mozilla.org
pulseaudio 0.9.10

emeriste (emnode) wrote :

I experience this bug as well. Long or fast scrolling with the scroll wheel disrupts the audio in Rhythmbox until the scrolling stops. This happens even while I am playing a local file. I am also able to reproduce this result with mplayer although Rhythmbox seems to be more sensitive. I originally observed this disruption in Firefox but I have since reproduced the effect by scrolling through a long text file in gedit. It seems more likely to happen while scrolling quickly or for a long duration. It may also be worth noting that I use a rollerball mouse which makes scrolling fast extremely easy. Still, the disruptions in audio happen during what should be normal use.

I'm running Ubuntu Hardy 8.04 32 bit on a 3500+ AMD Athlon 64 processor with 1 GB of RAM.

Kernel Version:

Linux leibniz 2.6.24-19-generic #1 SMP Wed Jun 4 16:35:01 UTC 2008 i686 GNU/Linux

apt-cache policy rhythmbox:

rhythmbox:
  Installed: 0.11.5-0ubuntu7
  Candidate: 0.11.5-0ubuntu7
  Version table:
 *** 0.11.5-0ubuntu7 0
        500 http://us.archive.ubuntu.com hardy-updates/main Packages
        100 /var/lib/dpkg/status
     0.11.5-0ubuntu6 0
        500 http://us.archive.ubuntu.com hardy/main Packages

Graphics Hardware:

01:05.0 VGA compatible controller: ATI Technologies Inc RS480 [Radeon Xpress 200G Series]

*** It would be good if others experiencing this bug could include their graphics hardware information in case that is a common denominator. You can get this information from the terminal by typing: lspci | grep -i vga

Please contact me if any other information would be useful.

jiurriza (jiurriza) wrote :

Same thing happens to me. When I scroll quickly thru something (not just FF) and I have any player playing music, the music stops until I stop scrolling. I guess it's because fast scrolling takes up 100% of the processor resources.

I'm running Ubuntu 8.04.1, kernel 2.6.24-19-generic on a 3.4G PIV w/1GB of RAM.

Graphic card :
01:00.0 VGA compatible controller: ATI Technologies Inc RV370 5B64 [FireGL V3100 (PCIE)] (rev 80)

Sebastien Bacher (seb128) wrote :

do you get the issue using other applications than rhythmbox? does changing system, preferences, sounds, music and video to use alsa and stopping pulseaudio makes a difference?

Changed in rhythmbox:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: Confirmed → Incomplete
jiurriza (jiurriza) wrote :

Yep, doesn't matter what application I'm using it stops playing. Those changes do a little difference, but it's not a complete fix.

keito (audioactivist) wrote :

confirmed. this has been the case for as long as I can remember (feisty, gutsy, hardy) please someone sort this out!

maticmatija (maticmatija) wrote :

I can confirm this problem

kenden (kenden) wrote :

Same problem here on Hardy.
The problem also happens when resizing Firefox, not only scrolling. Resizing another application, say Pidgin, does not interrupt the sound from Rhythmbox.

florin (dfev77) wrote :

Can confirm this bug on Ubuntu 8.04.1 & FF 3.0.1 & Rhythmbox 0.11.5.

Open some tabs in browsers (I use to read the bbc news from http://newsrss.bbc.co.uk/rss/newsonline_world_edition/front_page/rss.xml , some pages might have videos) while listening to online radio (like http://radioalternativ.serverroom.us:7166/ ). While scrolling if I scroll "too fast" radio playing stops, and I have to start it again (no error message in Rhythmbox, the player still has the play button pressed, at it would show it is playing).

All system updates installed.

PARTyZAN (partyzan) wrote :

Same here. Ubuntu 8.04.1 + Firefox 3.0.1 and any audio player.

Quite a annoying bug, I'm surprised that it hasn't been fixed yet...

Umang Varma (umang) wrote :

Could this be because of too little swap (or too little RAM)?

Could you post the output of top and free?

I'm not a professional, but that's my guess. Similar things happen for me when I have lots of tabs open along with many applications.

John Vivirito (gnomefreak) wrote :

Changed to Firefox-3.0. Does this happen with any other browsers if so what ones are you seeing this with. I am unable to reproduce this issue with instructions given. ai think this is more of an issue with xorg drivers being use. Can you please list the drivers for xorg you are using and version of xorg and video drivers?

Changed in firefox:
status: New → Incomplete

On the computer this is an issue, I have one GB of ram and 2 GB of SWAP.
When this is happening, however, there is a marked spike in top from X.

On Sat, Sep 20, 2008 at 10:07 AM, Umang <email address hidden> wrote:

> Could this be because of too little swap (or too little RAM)?
>
> Could you post the output of top and free?
>
> I'm not a professional, but that's my guess. Similar things happen for
> me when I have lots of tabs open along with many applications.
>
> --
> Scrolling Firefox interrupts Rhythmbox audio
> https://bugs.launchpad.net/bugs/193578
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "firefox" source package in Ubuntu: New
> Status in "rhythmbox" source package in Ubuntu: Incomplete
> Status in "xorg" source package in Ubuntu: New
>
> Bug description:
> Steps to reproduce the bug:
> > Launch Firefox and Rhythmbox.
> > Play a song in Rhythmbox.
> > Load a web page in Firefox and scroll up and down.
>
> Expected behaviour:
> > The audio keeps playing as before
>
> Actual behaviour:
> > The audio quality first degrades, then skips, then cuts out entirely.
>

emeriste (emnode) wrote :

I have since switched to using Kubuntu Intrepid and have not (yet) noticed
this issue. When I filed this bug report I was using Ubuntu 8.04. I did see
the same problem in Ubuntu 8.10 however. There are many people who have
experienced this problem. I realise it is not a critical bug but at times it
can be a nuisance. It certainly interferes with normal use of the computer.
I hope the bug continues to receive some attention since many other people
have indicated they experience it.

I can tell you that this bug happens with any fast scrolling of any
application where scrolling is possible. It does not only happen with
FireFox. It is common with FireFox since FireFox is a common application to
have a window large enough for a lot of scrolling. It also does not only
happen with Rhythmbox, I have been able to make totem sound cut out by fast
and prolonged scrolling. But Rhythmbox seems a bit more sensitive.

On Thu, Oct 23, 2008 at 9:47 AM, John Vivirito <email address hidden> wrote:

> Changed to Firefox-3.0. Does this happen with any other browsers if so
> what ones are you seeing this with. I am unable to reproduce this issue
> with instructions given. ai think this is more of an issue with xorg
> drivers being use. Can you please list the drivers for xorg you are
> using and version of xorg and video drivers?
>
> ** Changed in: firefox-3.0 (Ubuntu)
> Sourcepackagename: firefox => firefox-3.0
> Status: New => Incomplete
>
> --
> Scrolling Firefox interrupts Rhythmbox audio
> https://bugs.launchpad.net/bugs/193578
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "firefox-3.0" source package in Ubuntu: Incomplete
> Status in "rhythmbox" source package in Ubuntu: Incomplete
> Status in "xorg" source package in Ubuntu: New
>
> Bug description:
> Steps to reproduce the bug:
> > Launch Firefox and Rhythmbox.
> > Play a song in Rhythmbox.
> > Load a web page in Firefox and scroll up and down.
>
> Expected behaviour:
> > The audio keeps playing as before
>
> Actual behaviour:
> > The audio quality first degrades, then skips, then cuts out entirely.
>

I just reproduced the problem with Epiphany (on this web page, no other tabs opened) and Evince, displaying a 3 pages pdf file.

Note: I cannot reproduce the problem after turning Compiz off and just using Metacity instead.

Ubuntu 8.04:

$ uname -a
Linux kenden 2.6.24-21-generic #1 SMP Mon Aug 25 17:32:09 UTC 2008 i686 GNU/Linux

$ lspci | grep -i VGA
01:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce 6600 GT] (rev a2)

I am using driver nvidia-glx-new:

$ sudo aptitude show nvidia-glx-new |grep Version
Version: 169.12+2.6.24.14-21.51

kenden (kenden) wrote :

Adding version of xorg as requested:
$ sudo aptitude show xserver-xorg |grep Version
Version: 1:7.3+10ubuntu10.2

kenden (kenden) wrote :

The problem is still present in Intrepid, but it seems more difficult to reproduce (I have to scroll up and down to get the sound to stop).

I confirm this bug. Ubuntu 8.10.

If i use cross fade backend in rhythmbox the problem disappears. !! (a buffer problem ??)

Edit --> Preferences --> Playback tab --> Use crossfading backend

Yuri Glushkov (yglushkov) wrote :

I'm experiencing this problem with Ubuntu 8.10 Intrepid 32 bit, new install. MSI EX600 laptop, Intel T7100 processor, 2G DDR2 667 MHz memory, Nvidia GeForce 8400M GS video adapter. Compiz is turned off, the sound preferences are set to ALSA.
It shows with rhythmbox and totem (gstreamer), while scrolling in firefox 3.0.4 or nautilus file manager. xorg cpu usage peaks up at the moment the sound lags. When visual effects in totem are turned off, the problem doesn't show itself.
With audacious, audacity, vlc, realplayer and smplayer there is no problem.
xorg version is:
1:7.4~5ubuntu3

impwins (impwins) wrote :

Hi guys,
I noticed that you can reduce this issue's impact removing the option "use smooth scrolling" (preferences > advanced) from Firefox.
Regards.

goto (gotolaunchpad) wrote :

Could it be that rhythmbox has a lower priority than other music applications?
And is it normal that scrolling triggers CPU usage? I think the graphic card be responsible for things like scrolling.

I'm also experiencing this problem with Ubuntu 8.10 Intrepid 64 bit, upgraded from 7.10. This is my laptop: http://www.swt.com/cgi-bin/query_spec?z37e
xorg version is:
Version: 1:7.4~5ubuntu3

Dave (dave-riedstra) wrote :

Same problem on my computer:

Ubuntu 8.10
Intel Core 2 duo @ 2Ghz
3GB Ram, 2-3GB swap (I think)

Occurs when scrolling in firefox and open office.

goto (gotolaunchpad) wrote :

Scrolling should not use the CPU, does it? The graphics card should render it I think, and if the graphics card does not do this, then the CPU has to do it and uses much CPU. So I think it makes sense to open an Xorg bug for this.

huiii (a00ps) wrote :

i am having this issue, too...
ubuntu intrepid.

actually, opening a folder will do the same symptoms as scrolling firefox, switching tabs, etc...
what is this?

I can get this same reaction by scrolling in rhythmbox itself. I think firefox is just incidentally related.

I see the same as a previous poster, scrolling using either the mouse wheel or holding the scroll up/down buttons (so it jumps a few rows) causes play back to hang and Xorg process (/usr/X11R6/binX :0 -br -audit 0 -auth /var/lib/gdm/:0.Xauth vt7) to spike very high in cpu usage. Playback resumes after this goes back down.

I currently have 2Gb ram, but only about 250mb free in ram, and using 1.2Gb of swap with 9Gb free. Also running a virtual machine (Virtualbox'ed WindowsXP) which is chewing up quite a bit of cpu. Still, the rhythmbox scrolling behaviour seems erratic.

goto (gotolaunchpad) wrote :

Could someone answer Sebatien Bacher's question (added pointers to make clear what he wants):
"does changing system -> preferences -> sounds, music and video to use alsa and stopping pulseaudio make a difference?"
(And also which graphic chip + which driver you use)

I really think this is not not a firefox bug, but an Xorg bug, and maybe a rhythmbox but, if it happens only with that software.
Thanks.

pbhj (pbhj) wrote :

I get this same thing with FF and Amarok. I'm running them via Xubuntu installed over Ubuntu 8.10 on an Athlon 1.1G with 768MB & GeForce2 GTS (ie quite old); though yesterday was using KDE4 and had same problem. I find that even if I renice FF to 1 (slightly lower than normal priority) and Amarok to -4 (high priority), using "sudo top", even then I get the sound jumps. I thought it was FF and not X that spikes, but it looks like it could be a race condition between X and FF - they have about the same CPU use for me and could well be battling for resources (ie CPU time). FF and X both spike to 30%+ on scrolling, even with smooth scrolling off.

I'd have thought there was enough buffering for this not to have effect but clearly not.

goto (gotolaunchpad) wrote :

pbhj:
Can you answer the question over your post please? And if you move a window fastly, does the CPU get 100%, too?

Fade (zgamer4) wrote :

I can confirm the fix posted by Eduardo Guardiola, enabling the crossfading backend and restarting Rythmbox fixes the audio skipping/cutting out while scrolling.

Bryce Harrington (bryce) wrote :

[This is an automated message]

Hi ryanprior,

Please attach the output of `lspci -vvnn` too.

Changed in xorg:
status: New → Incomplete
Ryan Prior (ryanprior) wrote :
khaindar (mwodetzki) wrote :

I can confirm the fix by Eduardo Guardiola, too. I enabled crossfading backend and restarted Rhythmbox, works like a charm :)
Ubuntu 8.10

See HW Details in attachment

Greetings Khaindar

Bryce Harrington (bryce) on 2009-01-17
description: updated
Sam_ (and-sam) wrote :

Hi,
first, thanks to Sebastien Bacher for pointing me here, because my Bug #295711 is a duplicate.

Thanks to Eduardo Guardiola for the hint to enable crossfading, this did the trick, no interruptings anymore.

For the record:
In my duplicate I was advised to run Rhytmbox with this command:
rhythmbox --debug &> rhythmbox-debug.txt

and did it again with crossfading enabled, triggered with many opened tabs (launchpad sites) and scrolling.
So at first glance it shows this difference:
1. attached file (placed in the duplicate)
quote:
buffering - temporarily pausing playback
buffering done, setting pipeline back to PLAYING
buffering - temporarily pausing playback

This doesn't show up in the second file anymore:
2. attached file (placed here)
quote:
playing new stream; resetting buffering
current network buffer level: 0; threshold 65536 - 0%
current network buffer level: 2048; threshold 65536 - 3%
current network buffer level: 4096; threshold 65536 - 6%
and so on.

Hope this helps.

Bryce Harrington (bryce) wrote :

High CPU usage for Xorg is ironically not an X problem. X is a server so simply responds to client commands. If a client program has a bad algorithm that calls too many X calls too rapidly, all those X calls will show up as charged to the Xorg process, when really the bug is with the client app's algorithm.

See http://wiki.ubuntu.com/X/Troubleshooting/HighCPU for more info.

Changed in xorg:
status: Incomplete → Invalid
Jake Tenney (jltyman) wrote :

Just wanted to add another confirmation. Rhythmbox audio stuttered or paused when quickly scrolling long documents (I love my Logitech VX nano for very fast and long scrolling!).
I first noticed it scrolling through a multi-page AbiWord document, and was then able to reproduce it when scrolling long pages in Opera and Firefox.
I also want to confirm that Eduardo Guardiola's tip of switching Rhythmbox to the crossfading backend and restarting Rhythmbox "fixed" the audio stuttering/pausing when scrolling long documents.

Running Ubuntu 8.10 with Gnome:
Linux Odysseus 2.6.27-11-generic #1 SMP Thu Jan 29 19:24:39 UTC 2009 i686 GNU/Linux

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility X1400
Using the FGLRX driver.

emeriste (emnode) wrote :

I have personally had this problem in both Hardy and Intrepid. I have submitted my own bug report which was tagged as duplicate of this one. I have given some feedback in the comments for this bug report which can be read above. I have just marked yet another report of this same problem as a duplicate of this bug. So this is a long existing problem which should be marked as confirmed and given a higher priority.

Changed in xorg:
status: Invalid → Confirmed
Fade (zgamer4) wrote :
Changed in xorg:
status: Confirmed → Invalid
Fade (zgamer4) on 2009-02-28
Changed in firefox-3.0:
status: Incomplete → Confirmed
Tritonio (tritonio) wrote :

I confirm the bug. I remember it at least back to Gutsy. This problem is really annoying. Enabling the crossfade in Rythmbox seems to be a good workaround but the problem exists since whenever I scroll a page in Firefox the CPU hits 50% (that's one of the two cores) and the scrolling is laggy (meaning I can scroll very fast up and down many times, then stop and watch FF scroll for many seconds). I also think that it happens for any type of scrolling that involves moving pictures or active controls around.

Nick Murtagh (nickm-go2) wrote :

I recently upgraded from Hardy to Intrepid and noticed this problem (although I'm using totem rather than rhythmbox).

I suspected pulseaudio but disabling this (by killing the process) made no difference.

My MP3s are on an external USB drive so it's not a hard disk contention issue.

What did make a difference was turning off compiz (System > Preferences > Appearance > Visual Effects / Normal -> None) which I had turned on after upgrading. This solved the problem completely.

I'm using a Dell D420 laptop with an Intel chip:

00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)

Possibly related to this bug?

https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/193318

John Vivirito (gnomefreak) wrote :

2.0 is no longer supported.

Changed in firefox (Ubuntu):
status: New → Invalid
John Vivirito (gnomefreak) wrote :

Seesm to be a compiz problem not firefox.

Changed in firefox-3.0 (Ubuntu):
status: Confirmed → Invalid
Changed in compiz (Ubuntu):
status: Invalid → New
goto (gotolaunchpad) wrote :

That disabling compiz could help shows that this has to do with the graphic card, doesn't it?

Xavier Robin (jti-533g) wrote :
Download full text (3.6 KiB)

I can see the same problem here.
I have got an AMD athlon 64x2 (duo core)@2.2GHz, 2Gio RAM and 2Gio swap.
Motherboard is an Asus M2N DH with an integrated HDA sound chipset from nvidia.
Graphic card is a nvidia geforce 7300 GS.
Ubuntu version is Intrepid 64bits.

The reproducibility is very problematic. You need a heavy page where firefox is slow to scroll in the first place. For example, a page on deviant art (eg. http://brute-ua.deviantart.com/art/Take-a-seat-81523879 ) with the "collect" banner opened (may be available only when you're logged in). Then you have to seize the scrollbar and swing your mouse up and down violently (ie you have to go really top to bottom and back to top again), several times (that can be twice, or 10 times depending on your "luck") and very fast (don't wait for the bottom of the page to display before you're already on top and bottom again, preferably several times). I don't think scrolling with the mouse wheel is sufficient to trigger any sound interruption.

This isn't a normal use of Firefox, but it is needed to reproduce the problem. For a "normal-use", you need to be loading several tabs in Firefox, and switch tab or scoll down rapidly in a long loading page, or maximize-minimize Firefox quickly, or most likely several of these (ie. quickly scrolling down a heavy loading page with several other tabs loading in the background and then double-click on the Firefox icon in the taskbar to minimize and maximize Firefox, all that in less than 1 second or so). Even so, I don't see this bug more than once or twice a day.

I cannot reproduce it on "lighter" pages. A fixed element is recommended, if possible transparent) Even a javascript test such as the Acid3 test (http://acid3.acidtests.org/) or the sunspider test (http://www2.webkit.org/perf/sunspider-0.9/sunspider.html ) doesn't trigger a sound interruption. I guess that owner of faster computers need to find even worse test cases to be able to reproduce it.
Also I should precise that it is "better" to work in full screen (preferably with a big one, 1600x1200 for me, and with F11 fullscreen on) rather than with a smaller Firefox window. If I resize Firefox to use only half of the horizontal space (around 600px) I'm not able to hear any sound interruption.

Running a heavy benchmark such as one in hardinfo doesn't stop sound, nor does sound encoding with SoundConverter (using 2 procs.). To the contrary, I would say it was easier to make firefox interrupt sound when the system isn't doing any other computation. With sound converter working, Firefox scrolls slower but doesn't interrupt the sound anymore.

Stopping compiz and using metacity instead (System > Preferences > Appearance > setting no visual effect) doesn't completely prevent sound interruption. Actually it doesn't even seem to reduce the problem.

I tried to use Alsa instead of pulseaudio as proposed above. This didn't reduce the problem.

I also tried to renice rhythmbox process (with sudo renice 15) but that didn't change anything.

Only enabling crossfading (seemingly) completely stopped sound interruption.

If I look at a terminal with "top" running when the problem occurs, I can see that Xorg is ar...

Read more...

NoBugs! (luke32j) wrote :

It's not just Firefox, I noticed sound cuts out when I scroll in Geany (programming editor) holding down the arrow key.
I notice this on a Intel core 2 computer.
Why doesn't sound use the 2nd processor so it doesn't block the sound when cpu is 100%?

Martin Olsson (mnemo) wrote :

Easy to repro:

1. wget http://files.minimum.se/sample.ogg -O ~/Desktop/sample.ogg
2. double click sample.ogg to play it in totem
3. run "x11perf -compwinwin500"

On intel G45 jaunty: After a few seconds the audio starts to skip often with >1sec pauses.
On intel 965 intrepid: Music keeps playing perfect with no skips even if I run the benchmark for 30 seconds straight.

It would be very useful if everyone affected by this bug posted the output of "lspci -nn | grep VGA" so we can understand if this is a regression for all graphics card or just for one brand (i.e. intel driver) or even for just one chipset.

Alexander Sack (asac) wrote :

if this is that sounds get interrupted on heavy load (which is questionable to some degree), I would think this is a pulseaudio bug not buffering enough.

Can you reproduce this with other sound applications?

Alexander Sack (asac) wrote :

lets triage this on pulseaudio side as this phenomenon seems not to be rhythmbox specific.

Changed in pulseaudio (Ubuntu):
status: New → Confirmed
Changed in compiz (Ubuntu):
status: New → Invalid
Alexander Sack (asac) wrote :

invalidating rhythmbox target according to above comments.

Changed in rhythmbox (Ubuntu):
status: Incomplete → Invalid
Martin Olsson (mnemo) wrote :

I just booted 32-bit final jaunty, then I ran "sudo aptitude remove pulseaudio" and selected "log out". After 10 seconds the user "ubuntu" logs back in automatically. I started the song in totem again and then I double checked in terminal that "ps aux | grep pulse" returns nothing. Then I ran the x11perf repro I described above and boom the bug happens.

I don't think it's pulseaduio, I think it's either a general kernel regression or its the new intel driver which has a kernel component to it (i915 and drm modules). Maybe one of these graphcis related kernel components floods the kernel with ultra high priority interrupts or tasklets or whatever they call it in kernel land. This way the audio requests just gets ignored.

Maybe some uber kernel ninja can run sysprof or whatever tool is suited to find out why audio skips??

summary: - Scrolling Firefox interrupts Rhythmbox audio
+ Basic graphics operations makes audio skip (>1 sec pauses)
Martin Olsson (mnemo) wrote :

Further I can repro both my intel G45 desktop machine and on my radeon 9600 desktop machine so it's not specific to one particular graphics driver. The exact graphics cards for these machines are:

mnemo@zueco:~$ lspci -nn | grep VGA
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV350 AP [Radeon 9600] [1002:4150]

mnemo@kingfish:~$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation 4 Series Chipset Integrated Graphics Controller [8086:2e22] (rev 03)

Xavier Robin (jti-533g) wrote :

martin a écrit :
> Easy to repro:
>
> 1. wget http://files.minimum.se/sample.ogg -O ~/Desktop/sample.ogg
> 2. double click sample.ogg to play it in totem
> 3. run "x11perf -compwinwin500"

When running sample.ogg in rhythmbox while running the x11perf test, the sound wasn't interrupted for me, even though Xorg used 100% CPU. Probably the test window wasn't large enough, but x11perf doesn't provide a larger test.

> It would be very useful if everyone affected by this bug posted the
> output of "lspci -nn | grep VGA" so we can understand if this is a
> regression for all graphics card or just for one brand (i.e. intel
> driver) or even for just one chipset.

xavier@ubuntu:~$ lspci -nn | grep VGA
02:00.0 VGA compatible controller [0300]: nVidia Corporation G71 [GeForce 7300 GS] [10de:01df] (rev a1)

Alexander Sack a écrit :
> Can you reproduce this with other sound applications?

No, as stated before only rhythmbox is affected. Totem, Listen, VLC are fine.
If I play sounds at the same time in rhythmbox and totem, totem continues to play even when rhythmbox is stopped.

Also if ALSA is used instead of PulseAudio, the bug persist.

Given these two reasons, I think it isn't a PulseAudo bug, but rather a Rhythmbox one.

Sam_ (and-sam) wrote :

Confirm no problems with pulseaudio+Totem (as stated in duplicate #295711), and VLC.
lspci -nn | grep VGA
05:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV370 5B60 [Radeon X300 (PCIE)] [1002:5b60]

Daniel T Chen (crimsun) on 2009-04-27
Changed in pulseaudio (Ubuntu):
status: Confirmed → Invalid
Fade (zgamer4) wrote :

There has to be at least one application at fault. Unless 100% processor usage isn't a problem. I think Rythmbox makes the problem noticable because it doesn't buffer sound.

Changed in compiz (Ubuntu):
status: Invalid → New
José Pedro Saraiva (nocive) wrote :

I can confirm this bug is not rhythmbox specific.
I experience the same bug with exaile, though not so often.

As far as I understand it, this is a firefox/compiz issue, the same high cpu scrolling issue that haunts firefox in linux for months.

I managed to solve the "slow scrolling issue" in big pages (see https://bugs.launchpad.net/ubuntu/+source/firefox-3.0/+bug/125970) installing the latest nvidia drivers (180) but started to experience this bug with the sound.

The crossfading fix solved it for me, although scrolling on big pages still causes high cpu usage.

Ubuntu Intrepid Ibex 8.10

$ lspci -vnnn | grep VGA
01:00.0 VGA compatible controller [0300]: nVidia Corporation Device [10de:060b] (rev a2)

John Kuang (xiphosurus) wrote :

I also experience the same skipping in rhythmbox, but not so much during scrolling. The skipping is worst when I am switching between different windows, maximizing/unmaximizing windows and also switching between tabs on firefox.

This skipping goes away if compiz is disabled. The crossfading workaround doesn't work for me as when playing WMA files it is CONSTANTLY skipping even without activity. Perhaps similar to this bug:

https://bugs.launchpad.net/ubuntu/+source/rhythmbox/+bug/353589

Here's my VGA card.

$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 07)

Changed in compiz (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Cory Davis (cory-d-davis) wrote :
Download full text (4.0 KiB)

This issue occurs for me on a fully upgraded Jaunty (9.04) whenever I drag a window. I have effects turned
completely off and have the window manager configured for "reduced_resources", which shows a dragging
window as a wireframe.

This on a new Core i7 920 (quad core) with 6GB of RAM, running a 1-tab firefox, a 2-tab gnome-terminal,
transmission with 3 torrents with a detail window open on one, and rhythmbox playing mp3s, so I'm reasonably
certain there is plenty of memory and cpu cycles to spare. The mp3 files are on a second hard drive, so
there should be no IO contention with the OS (and the drive light barely flickers).

I've verified that grabbing (not even moving) ANY of the window title bars will cause the audio to stop within
a couple of seconds - presumably when the buffer runs out. I do not have to be scrolling or doing anything
remotely cpu intensive to trigger the issue.

I've also verified that the cross-fading backend workaround solves the issue for me.

Possibly related, the terminal with a running `top` does not update until after I've let go of the window header.

While I have not looked at the source code, the symptoms are consistent with the audio buffering being done
in the graphical tool kit's main loop, which may get blocked by the presumably system modal operation of
moving a window, or delayed by intensive X operations such as heavy scrolling. I would expect that one of the
libraries involved then resyncs the audio to the system clock when operations resume, such as might
happen on a slow machine or heavy IO, leading to skipping rather than paused audio. I would guess that
the crossfading backend moves those operations to their own thread or process that does not get blocked by
GUI operations. Just my hypothesis based on the GUI programming I've done in the past.

System information:
$ head -7 /proc/meminfo
MemTotal: 6021412 kB
MemFree: 3152640 kB
Buffers: 837508 kB
Cached: 1178640 kB
SwapCached: 0 kB
Active: 881292 kB

$ lspci -nn | grep -e VGA -e Audio
00:1b.0 Audio device [0403]: Intel Corporation 82801JI (ICH10 Family) HD Audio Controller [8086:3a3e]
06:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV770 [Radeon HD 4870] [1002:9440]
06:00.1 Audio device [0403]: ATI Technologies Inc HD48x0 audio [1002:aa30]

$ Xorg -version

X.Org X Server 1.6.0
Release Date: 2009-2-25
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-15-server x86_64 Ubuntu
Current Operating System: Linux signum 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64
Build Date: 09 April 2009 02:11:54AM
xorg-server 2:1.6.0-0ubuntu14 (<email address hidden>)

$ pulseaudio --version |& tail -1
pulseaudio 0.9.14

$ rhythmbox --version
GNOME rhythmbox 0.12.0

$ /usr/X11R6/bin/fglrxinfo -v | grep version
OpenGL version string: 2.1.8664
glx server version string: 1.4
glx client version: 1.4

$ top

top - 00:42:38 up 1:56, 3 users, load average: 0.03, 0.04, 0.06
Tasks: 220 total, 1 running, 219 sleeping, 0 stopped, 0 zombie
Cpu(s): 0.6%us, 0.2%sy, 0.0%ni, 98.8%id, 0.4%wa, 0.0%hi, 0.0%si, 0.0%st
Mem: 6021412k total, 2896604...

Read more...

Closing the "linux (Ubuntu)" task for now as I haven't seen any evidence here (ie log files) to convince me this is a kernel bug.

Changed in linux (Ubuntu):
status: New → Invalid
Travis Watkins (amaranth) wrote :

Now wait a second, the only package this bug is now open against is compiz and comment 53 (and others) pretty clearly state that it happens with metacity too. If it happens with multiple WMs, multiple media players, and with alsa and pulseaudio that pretty much means it _has_ to be something in the kernel.

Changed in linux (Ubuntu):
status: Invalid → New
Changed in compiz (Ubuntu):
status: Triaged → Invalid

Please be sure to confirm this issue exists with the latest development release of Ubuntu, Karmic 9.10. ISO CD images are available from http://cdimage.ubuntu.com/releases/ . Please then run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 193578

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: kj-triage needs-kernel-logs needs-upstream-testing
Sam_ (and-sam) wrote :

No issues on Karmic here.
lspci | grep -i vga; uname -a; lsb_release -c
05:00.0 VGA compatible controller: ATI Technologies Inc RV370 5B60 [Radeon X300 (PCIE)]
Linux 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 x86_64 GNU/Linux
Codename: karmic
ii rhythmbox 0.12.5-0ubuntu4
ii firefox 3.5.3+build1+nobi

Juancarlo An~ez (apalala) wrote :

I can reproduce this with anything that consumes CPU. Audacious doesn't exhibit the behavior even under full CPU load.

Worst (another bug?) the sound player (most probably the sound infrastructure) hangs under extreme loads, to the point of having to kill it.

I am experiencing this bug on 9.10 using dell vostro A840.

Enabling crossfade helps, but instead of silence i get a minor sound glitch.

Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers